## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# PrintWriter Class Reference

`#include <PrintWriter.hpp>`

Inheritance diagram for PrintWriter:

[legend]
Collaboration diagram for PrintWriter:

[legend]
List of all members.

## Public Methods

- PrintWriter (bool fAutoFlush=false, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
    Constructor. More...
- MemoryManagerType& getMemoryManager ()
- virtual ~PrintWriter ()
- virtual bool checkError () const=0
    Flush the stream, then check the error status. More...
- virtual void close ()=0
    Close the stream. More...
- virtual void flush ()=0
    Flush the stream. More...
- virtual void write (const char *s, size_t theOffset=0, size_t theLength=npos)=0
    Writes a string. More...
- virtual void write (const XalanDOMChar *s, XalanDOMString::size_type theOffset=0, XalanDOMString::size_type theLength=XalanDOMString::npos)=0
    Writes a string. More...
- virtual void write (XalanDOMChar c)=0
    Writes a character. More...
- virtual void write (const XalanDOMString &s, XalanDOMString::size_type theOffset=0, XalanDOMString::size_type theLength=XalanDOMString::npos)=0
    Writes a string. More...
- virtual void print (bool b)=0
- virtual void print (char c)=0
- virtual void print (const char *s, size_t theLength=npos)=0
- virtual void print (const XalanDOMChar *s, XalanDOMString::size_type theLength=XalanDOMString::npos)=0
- virtual void print (double d)=0
- virtual void print (int i)=0
- virtual void print (long l)=0
- virtual void print (const XalanDOMString &s)=0
- virtual void println ()=0
- virtual void println (bool b)=0
- virtual void println (char x)=0
- virtual void println (const char *s, size_t theLength=npos)=0
- virtual void println (const XalanDOMChar *s, XalanDOMString::size_type theLength=XalanDOMString::npos)=0
- virtual void println (double x)=0
- virtual void println (int x)=0
- virtual void println (long x)=0
- virtual void println (const XalanDOMString &s)=0

## Protected Attributes

- const bool m_fAutoFlush
- MemoryManagerType& m_memoryManager

## Static Protected Attributes

- const XalanDOMChar s_trueString []
- const XalanDOMChar s_falseString []
- const XalanDOMChar s_newlineString []

## Constructor & Destructor Documentation

PrintWriter::PrintWriter ( | bool fAutoFlush = false,
| MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR )

  | Constructor. Parameters:
  fAutoFlush | if true, the output will not be buffered

PrintWriter::~PrintWriter ( | )`[virtual]`

## Member Function Documentation

bool PrintWriter::checkError ( | ) const`[pure virtual]`

| Flush the stream, then check the error status. Returns: true if no errors Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::close ( | )`[pure virtual]`

| Close the stream. Reimplemented from Writer. Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::flush ( | )`[pure virtual]`

| Flush the stream. Reimplemented from Writer. Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

MemoryManagerType & PrintWriter::getMemoryManager ( | )

void PrintWriter::print ( | const XalanDOMString & s )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::print ( | long l )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::print ( | int i )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::print ( | double d )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::print ( | const XalanDOMChar * s,
| XalanDOMString::size_type theLength = XalanDOMString::npos )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::print ( | const char * s,
| size_t theLength = npos )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::print ( | char c )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::print ( | bool b )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::println ( | const XalanDOMString & s )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::println ( | long x )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::println ( | int x )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::println ( | double x )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::println ( | const XalanDOMChar * s,
| XalanDOMString::size_type theLength = XalanDOMString::npos )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::println ( | const char * s,
| size_t theLength = npos )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::println ( | char x )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::println ( | bool x )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::println ( | )`[pure virtual]`

| Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::write ( | const XalanDOMString & s,
| XalanDOMString::size_type theOffset = 0,
| XalanDOMString::size_type theLength = XalanDOMString::npos )`[pure virtual]`

  | Writes a string. Parameters:
  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is XalanDOMString::npos, then the entire string is printed.
Reimplemented from Writer. Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::write ( | XalanDOMChar c )`[pure virtual]`

  | Writes a character. Parameters:
  c | character to write
Reimplemented from Writer. Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::write ( | const XalanDOMChar * s,
| XalanDOMString::size_type theOffset = 0,
| XalanDOMString::size_type theLength = XalanDOMString::npos )`[pure virtual]`

  | Writes a string. Parameters:
  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is XalanDOMString::npos, then the array is assumed to be null-terminated.
Reimplemented from Writer. Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

void PrintWriter::write ( | const char * s,
| size_t theOffset = 0,
| size_t theLength = npos )`[pure virtual]`

  | Writes a string. Parameters:
  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is npos, then the array is assumed to be null-terminated.
Reimplemented from Writer. Reimplemented in DOMStringPrintWriter, NullPrintWriter, and XalanOutputStreamPrintWriter.

## Member Data Documentation

const bool PrintWriter::m_fAutoFlush`[protected]`

MemoryManagerType & PrintWriter::m_memoryManager`[protected]`

const XalanDOMChar PrintWriter::s_falseString`[static, protected]`

const XalanDOMChar PrintWriter::s_newlineString`[static, protected]`

const XalanDOMChar PrintWriter::s_trueString`[static, protected]`

The documentation for this class was generated from the following file:

- PrintWriter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.